Subject: Re: [bug#59712] [DOCUMENTATION] [PATCH] doc: Suggest guile-readline and guile-colorized.

From: zimoun <[email-masked]>
Date: Fri, 30 Dec 2022 15:37:34 +0100

Hi,

On Wed, 28 Dec 2022 at 17:28, mirai <[email-masked]> wrote:
> On 2022-12-14 11:39, Ludovic Courtès wrote:
>> Hi!
>> 
>> [email-masked] skribis:
>> 
>>> From: Bruno Victal <[email-masked]>
>>>
>>> Allows for a smoother experience with './pre-inst-env guix repl'.
>>>
>>> * doc/contributing.texi (Building from Git): Suggest guile-readline and guile-colorized.
>> 
>> Is this the right place?  Currently both are recommended under “Using
>> Guix Interactively”, which I think is more appropriate.  But maybe we
>> should add a cross-reference?
>> 
>> To complement what zimoun wrote, the ‘.guile’ skeleton (that new home
>> directories get by default) enables both when they’re installed.
>> 
>> All in all, I’m not sure anything’s missing.
> --8<---------------cut here---------------start------------->8---
> # have both guile-colorized or guile-readline already installed either via config.scm or guix install
>
> $ guix shell -D guix help2man git strace --pure
> ~/src/guix [env]$
>
> # perform ./bootstrap, configure and make
>
> ~/src/guix [env]$ ./pre-inst-env guix repl
> scheme@(guix-user)> ;; does not have guile-colorized or guile-readline
>
> --8<---------------cut here---------------end--------------->8---
>
>
> The inconvenient part here being having to do:
>
> --8<---------------cut here---------------start------------->8---
> CTRL-D
> $ guix shell -D guix help2man git strace guile-colorized guile-readline --pure
> ~/src/guix [env]$
>
> # continue with whatever task was being done before
>
> --8<---------------cut here---------------end--------------->8---

I agree with Ludo.  These guile-colorized and guile-readline
recommendations do not appear to me the right place.  As pointed in [1],
maybe I would add a cross-reference.

1: <https://yhetil.org/guix/[email-masked]>

The command line for Building from Git is,

    guix shell -D guix --pure

Then, the manual reads: «On Guix, extra dependencies can be added by
instead running guix shell: 

    guix shell -D guix help2man git strace --pure

» so I would avoid to overload some extra recommendations here.
Especially when such recommendations require extra configuration.
Maybe a cross-link?

The aim of this section is to explain how to build from Git and it
appears to me better to keep it straight to the point and thus to avoid
too many unrelated details (how to configure “./pre-inst-env guix repl”
for instance).  The recommendations of guile-colorized and
guile-readline are about using Guix interactively; therefore it appears
to me better to recommend and explain in the dedicated section.

https://guix.gnu.org/manual/devel/en/guix.html#Building-from-Git
https://guix.gnu.org/manual/devel/en/guix.html#Using-Guix-Interactively

Cheers,
simon